Box Doc Gen batch (Base)
The basic representation of a Box Doc Gen batch object. A Box Doc Gen batch contains one or more Box Doc Gen jobs.Attributes and example
Attributes and example
| Property | Type | Required | Description |
|---|---|---|---|
id | string | Yes | The unique identifier that represents a Box Doc Gen batch. |
type | enum<string> | Yes | The value will always be docgen_batch. Available options: docgen_batch. |
Example
Box Doc Gen job
A standard representation of a Box Doc Gen job.Attributes and example
Attributes and example
| Property | Type | Required | Description |
|---|---|---|---|
id | string | Yes | The unique identifier that represent a Box Doc Gen job. |
type | enum<string> | Yes | The value will always be docgen_job. Available options: docgen_job. |
batch | Box Doc Gen batch (Base) | Yes | Box Doc Gen batch that the job belongs to. |
template_file | File reference | Yes | Box Doc Gen template used in the job. |
template_file_version | File version (Base) | Yes | File version of a template. |
output_file | File reference | No | The output file of the job. This property is null until the job is completed. Can be null. |
output_file_version | File version (Base) | No | File version of the output file. This property is null until the job is completed. Can be null. |
status | enum<string> | Yes | Status of the job. Available options: submitted, completed, failed, completed_with_error, pending. |
output_type | string | Yes | Type of the generated file. |
failures | object | No | Errors and warnings that occurred during document generation. Can be null. |
Example
Box Doc Gen job (Base)
The basic representation of a Box Doc Gen job.Attributes and example
Attributes and example
| Property | Type | Required | Description |
|---|---|---|---|
id | string | Yes | The unique identifier that represent a Box Doc Gen job. |
type | enum<string> | Yes | The value will always be docgen_job. Available options: docgen_job. |
Example
Box Doc Gen job (Full)
A full representation of a Box Doc Gen job.Attributes and example
Attributes and example
| Property | Type | Required | Description |
|---|---|---|---|
id | string | Yes | The unique identifier that represent a Box Doc Gen job. |
type | enum<string> | Yes | The value will always be docgen_job. Available options: docgen_job. |
batch | Box Doc Gen batch (Base) | Yes | Box Doc Gen batch that the job belongs to. |
template_file | File reference | Yes | Box Doc Gen template used in the job. |
template_file_version | File version (Base) | Yes | File version of a template. |
output_file | File reference | No | The output file of the job. This property is null until the job is completed. Can be null. |
output_file_version | File version (Base) | No | File version of the output file. This property is null until the job is completed. Can be null. |
status | enum<string> | Yes | Status of the job. Available options: submitted, completed, failed, completed_with_error, pending. |
output_type | string | Yes | Type of the generated file. |
failures | object | No | Errors and warnings that occurred during document generation. Can be null. |
created_at | string | No | Time of job creation. Read-only. |
created_by | User (Base) | Yes | User who created the job. |
enterprise | Enterprise reference | Yes | ID of the enterprise. |
source | string | Yes | Source of the request. Read-only. |
Example
Box Doc Gen jobs
A list of Box Doc Gen jobs with a standard set of parameters.Attributes and example
Attributes and example
| Property | Type | Required | Description |
|---|---|---|---|
limit | integer | No | The limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API. |
next_marker | string | No | The marker for the start of the next page of results. Can be null. |
prev_marker | string | No | The marker for the start of the previous page of results. Can be null. |
entries | array of Box Doc Gen job | No | List of jobs. |
Example
Box Doc Gen jobs (Full)
A list of Box Doc Gen jobs with a full set of parameters.Attributes and example
Attributes and example
| Property | Type | Required | Description |
|---|---|---|---|
limit | integer | No | The limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API. |
next_marker | string | No | The marker for the start of the next page of results. Can be null. |
prev_marker | string | No | The marker for the start of the previous page of results. Can be null. |
entries | array of Box Doc Gen job (Full) | No | List of jobs. |
Example
